package Visual_DVM_2021.Passes.All;
import Common.Global;
import Common.UI.UI;
import Common.Utils.Utils;
import TestingSystem.SAPFOR.SapforPackage.SapforPackage;
import Visual_DVM_2021.Passes.DeleteTestingPackages;

import java.io.File;
public class DeleteSapforPackage extends DeleteTestingPackages<SapforPackage> {
    public DeleteSapforPackage() {
        super(SapforPackage.class);
    }
    protected void showPreparation() throws Exception {
        super.showPreparation();
        UI.getMainWindow().getTestingWindow().DropSapforComparison();
    }
    @Override
    protected File getPackagesHome() {
        return Global.SapforPackagesDirectory;
    }
}
